{ testEnv, pkgs }:
with pkgs;

testEnv.mkTest rec {
  name = "signal";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = testEnv.lib.renderDhallInit ./signal.dhall "{=}";

  bootModules.test-signal = "${genode.os}/bin/test-signal";

  testScript = "run_genode_until {--- Signalling test finished ---} 120";
}
