let Genode = env:DHALL_GENODE

in    λ(_ : {})
    → { solo5 =
          Genode.Init.Start::{
          , binary = "test"
          , resources = { caps = 256, ram = Genode.units.MiB 3 }
          , routes =
              [ Genode.ServiceRoute.parent "Timer"
              , Genode.ServiceRoute.child "Rtc" "clock"
              ]
          }
      , clock =
          Genode.Init.Start::{
          , binary = "rtc_drv"
          , provides = [ "Rtc" ]
          , routes = [ Genode.ServiceRoute.parent "IO_PORT" ]
          }
      }
