{ testEnv, pkgs }:
with pkgs;

testEnv.mkTest rec {
  name = "log";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = testEnv.lib.renderDhallInit ./log.dhall "{=}";

  bootModules.test-log = "${genode.base}/bin/test-log";

  testScript = "run_genode_until {Test done.} 10";
}
